__gnu_pbds::detail::lu_counter_policy_base< Size_Type > Class Template Reference

## Protected Types

typedef Size_Type | size_type

## Protected Member Functions

lu_counter_metadata< size_type > | operator() (size_type max_size) const
template<typename Metadata_Reference >
bool | operator() (Metadata_Reference r_data, size_type m_max_count) const

## Detailed Description

### template<typename Size_Type>
class __gnu_pbds::detail::lu_counter_policy_base< Size_Type >

Base class for list-update counter policy.

Definition at line 46 of file lu_counter_metadata.hpp.

The documentation for this class was generated from the following file:

- lu_counter_metadata.hpp